% localization of global right-hand side vector from Dirichlet b.c. - 2D trinagular element with linear approximation functions
% In:
%   f  - global right-hand side vector (of the structure)
%   ke - conductivity matrix of one element
%   de - vector of Dirichlet b.c. of one element
%   lm - vector of nodal code numbers of one element
%   e  - element number
%
% Out:
%   f  - global right-hand side vector (of the structure) with the contribution of Dirichlet b.c.
%
function f = assemblyd (f,ke,de,lm,e)

ndof = 3;
for i=1:ndof
        ia = lm(i);
        if ia ~=0
          for j=1:ndof
            f(ia,1)=f(ia,1)-ke(i,j)*de(1,j);
           end
        end
    end
end

