% function creates conductivity matrix - 2D trinagular element with linear approximation functions
% In:
%   xe - vector of x nodal coordinates (x1,x2,x3)
%   ye - vector of y nodal coordinates (y1,y2,y3)
%   c  - conductivity coefficient
%
% Out:
%   ke - element conductivity matrix (3,3)
%

function ke = heat2_cond (xe,ye,c)

Ae = area_triangle(xe,ye) ;

Be = (1/(2*Ae))*[(ye(2)-ye(3)), (ye(3)-ye(1)), (ye(1)-ye(2));
                 (xe(3)-xe(2)), (xe(1)-xe(3)), (xe(2)-xe(1))]

ke = c*Ae*Be'*Be;

end


