% function creates right-hand side vector of prescribed heat source - 2D trinagular element with linear approximation functions
% In:
%   xe - vector of x nodal coordinates (x1,x2,x3)
%   ye - vector of y nodal coordinates (y1,y2,y3)
%   Q  - heat source
%
% Out:
%   fe - right-hand vector of nodal fluxes (3,1)
%

function fe = heat2_source (xe,ye,Q)

Ae = area_triangle(xe,ye) ;

fe = (Q*Ae/3)*[1; 1; 1];
end


